Closed Bug 1417677 Opened 2 years ago Closed 2 years ago

remove security.use_sqldb preference (require sqlite-backed certificate/key DBs)

Categories

(Core :: Security: PSM, enhancement, P1)

enhancement

Tracking

()

RESOLVED FIXED
mozilla59
Tracking Status
firefox59 --- fixed

People

(Reporter: keeler, Assigned: keeler)

References

Details

(Whiteboard: [psm-assigned])

Attachments

(1 file)

We have the preference "security.use_sqldb" to control whether or not the platform uses the sqlite-backed certificate/key databases in NSS. To move forward with our grand plan of not shutting down NSS, we'll need to ensure that the platform is using the sqlite version and not the old dbm implementation. So, we need to remove the preference.
Comment on attachment 8929099 [details]
bug 1417677 - remove "security.use_sqldb" and always use the sqlite-backed NSS DBs

https://reviewboard.mozilla.org/r/200394/#review205588

Looks good!
Attachment #8929099 - Flags: review?(jjones) → review+
Pushed by dkeeler@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/614a09e35ff0
remove "security.use_sqldb" and always use the sqlite-backed NSS DBs r=jcj
Heh - well, it's a good thing we have tests.
Flags: needinfo?(dkeeler)
Comment on attachment 8929099 [details]
bug 1417677 - remove "security.use_sqldb" and always use the sqlite-backed NSS DBs

https://reviewboard.mozilla.org/r/200394/#review206074

r+ on the interdiff
Pushed by dkeeler@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/aea6154d26f3
remove "security.use_sqldb" and always use the sqlite-backed NSS DBs r=jcj
https://hg.mozilla.org/mozilla-central/rev/aea6154d26f3
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla59
Duplicate of this bug: 1426102
You need to log in before you can comment on or make changes to this bug.